# $Revision: 1.3 $, $Date: 2002/10/11 16:35:12 $
%include	/usr/lib/rpm/macros.php
%define         _class          XML
%define         _subclass       XSLT
%define		_pearname	%{_class}_%{_subclass}_Wrapper
Summary:	%{_pearname} - single interface to the different XSLT interface or commands
Summary(pl):	%{_pearname} - jeden interfejs do rnych interfejsw i komend XSLT
Name:		php-pear-%{_pearname}
Version:	0.1
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/
Patch0:		%{name}-pathfix.patch
BuildRequires:	rpm-php-pearprov
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package was written to provide a simpler, cross-library and cross
commands interface to doing XSL transformations. It provides support
for: DOM XSLT php extension, XSLT php extension, MSXML using COM php
extension, XT command line
(http://www.blnz.com/xt/xt-20020426a-src/index.html), Sablotron
command line
(http://www.gingerall.com/charlie/ga/act/gadoc.act?pg=sablot#i__1940),
XT java interface, xml.apache.org java and C interface
(http://xml.apache.org/), Instant Saxon
(http://users.iclway.co.uk/mhkay/saxon/instant.html). Batch mode: XML:
multiple transformations of a single XML file, XSL: multiple
transformations of multiple XML files using a single XSL.

%description -l pl
Ten pakiet zosta napisany, by zapewni prosty interfejs do
wykonywania transformacji XSL przy uyciu rnych bibliotek i polece.
Ma obsug: rozszerzenia PHP DOM XSLT, rozszerzenia PHP XSLT, MSXML
przy uyciu rozszerzenia PHP COM, linii polece XT
(http://www.blnz.com/xt/xt-20020426a-src/index.html), linii polece
Sablotrona
(http://www.gingerall.com/charlie/ga/act/gadoc.act?pg=sablot#i__1940),
interfejsu Javy XT, interfejsu Javy i C xml.apache.org
(http://xml.apache.org/), Instant Saxon
(http://users.iclway.co.uk/mhkay/saxon/instant.html). Tryb wsadowy dla
XML: wiele transformacji jednego pliku XML; dla XSL: wiele
transformacji wielu plikw XML przy uyciu jednego XSL.

%prep
%setup -q -c
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/%{_subclass}/Wrapper/Backend

install %{_pearname}-%{version}/XSLT_Wrapper.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/%{_subclass}/Wrapper.php
install %{_pearname}-%{version}/Backend/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/%{_subclass}/Wrapper/Backend

# remove windows class:
rm $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/%{_subclass}/Wrapper/Backend/*Com.php

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{_pearname}-%{version}/{TODO,examples/*}
%dir %{php_pear_dir}/%{_class}/%{_subclass}
%dir %{php_pear_dir}/%{_class}/%{_subclass}/Wrapper
%dir %{php_pear_dir}/%{_class}/%{_subclass}/Wrapper/Backend
%{php_pear_dir}/%{_class}/%{_subclass}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/Wrapper/Backend/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-XML_XSLT_Wrapper.spec,v $
Revision 1.3  2002/10/11 16:35:12  misto
- path fixed in include statement
- release 3

Revision 1.2  2002/10/11 12:51:23  qboosh
- pl description, release 2

Revision 1.1  2002/10/10 15:52:41  blues
- initial release - STBR
